summaryrefslogtreecommitdiffstats
path: root/db-testing64
diff options
context:
space:
mode:
authorAaron Griffin <aaronmgriffin@gmail.com>2008-04-08 05:52:55 +0200
committerAaron Griffin <aaronmgriffin@gmail.com>2008-04-08 05:52:55 +0200
commit4bc106f1a60a6172b707bfaee5aff5030234466e (patch)
tree95e3ff179162665274e0ca212b9b4c8f258201c1 /db-testing64
parent29a77254307e42ba0959fe7660aa3d0d76285e6a (diff)
downloaddbscripts-4bc106f1a60a6172b707bfaee5aff5030234466e.tar.gz
dbscripts-4bc106f1a60a6172b707bfaee5aff5030234466e.tar.xz
Giant SVN changes
Some other fun stuff snuck in there, like indentation changes, but this should get us mostly working under SVN, and at least allow us to build DB files at the very least Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
Diffstat (limited to 'db-testing64')
-rwxr-xr-xdb-testing6453
1 files changed, 1 insertions, 52 deletions
diff --git a/db-testing64 b/db-testing64
index 8b306ac..c34355b 100755
--- a/db-testing64
+++ b/db-testing64
@@ -1,58 +1,7 @@
#!/bin/bash
-export CARCH=x86_64
-
repoid=4
reponame="testing"
arch="x86_64"
-ftppath="/home/ftp/testing/os/x86_64"
-
-cvspath="/home/cvs-arch"
-cvsmod="testing"
-cvstag="TESTING-64"
-
-#stagedir="/home/arch64/staging/testing"
-stagedir="$HOME/staging/testing64"
-
-testing_cleanup() {
- rm -rf $testingtmp
-}
-
-# catch ^C
-trap testing_cleanup SIGINT
-
-if [ -f /tmp/.repolck.$arch.$repoid ]; then
- owner=`/bin/ls -l /tmp/.repolck.$arch.$repoid | awk '{print $3}'`
- echo "error: db generation is already in progress (started by $owner)"
- exit 1
-fi
-# lock
-touch /tmp/.repolck.$arch.$repoid
-
-# testing is special, so we have to do the CVS checkout stuff here
-testingtmp=$(mktemp -d /tmp/testtmp-XXXXXX) || exit 1
-cvsdir=$testingtmp/testing
-mkdir $cvsdir
-cd $cvsdir
-
-if [ "`ls $stagedir/add`" -o "`ls $stagedir/del`" ]; then
- echo "==> Checking out TESTING-64 branches..." >&2
- echo "--- CORE ---"
- CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-core cvs -q export -r TESTING-64 core
- cp -a core/* . && rm -rf core
- echo "--- EXTRA ---"
- CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-extra cvs -q export -r TESTING-64 extra
- cp -a extra/* . && rm -rf extra
- echo "--- UNSTABLE ---"
- CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-unstable cvs -q export -r TESTING-64 unstable
- cp -a unstable/* . && rm -rf unstable
-fi
-
-# unlock
-rm -f /tmp/.repolck.$arch.$repoid
-
-# call the real script
-. `dirname $0`/db-inc
-
-testing_cleanup
+. $(dirname $0)/db-inc